/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : LED2.h
**     Project     : ProcessorExpert
**     Processor   : MKL25Z128VLK4
**     Component   : LED
**     Version     : Component 01.047, Driver 01.00, CPU db: 3.00.000
**     Compiler    : GNU C Compiler
**     Date/Time   : 2012-12-25, 18:56, # CodeGen: 13
**     Abstract    :
**          This component implements a universal driver for a single LED.
**     Settings    :
**          Component name                                 : LED2
**          LED on with initialization                     : no
**          HW Interface                                   : 
**            LED Pin                                      : LEDpin
**            Anode on port side                           : no
**     Contents    :
**         On     - void LED2_On(void);
**         Off    - void LED2_Off(void);
**         Neg    - void LED2_Neg(void);
**         Get    - byte LED2_Get(void);
**         Put    - void LED2_Put(byte val);
**         Init   - void LED2_Init(void);
**         Deinit - void LED2_Deinit(void);
**
**     License   :  Open Source (LGPL)
**     Copyright : (c) Copyright Erich Styger, 2012, all rights reserved.
**     This an open source software implementing an LED driver using Processor Expert.
**     This is a free software and is opened for education, research and commercial developments under license policy of following terms:
**     * This is a free software and there is NO WARRANTY.
**     * No restriction on use. You can use, modify and redistribute it for personal, non-profit or commercial product UNDER YOUR RESPONSIBILITY.
**     * Redistributions of source code must retain the above copyright notice.
** ###################################################################*/

#ifndef __LED2_H
#define __LED2_H

/* MODULE LED2. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */
#include "LEDpin5.h"

#include "Cpu.h"

#define LED2_ClrVal()    LEDpin5_ClrVal() /* put the pin on low level */
#define LED2_SetVal()    LEDpin5_SetVal() /* put the pin on high level */
#define LED2_SetInput()  LEDpin5_SetInput() /* use the pin as input pin */
#define LED2_SetOutput() LEDpin5_SetOutput() /* use the pin as ouput pin */


#define LED2_On() LEDpin5_ClrVal()
/*
** ===================================================================
**     Method      :  LED2_On (component LED)
**
**     Description :
**         This turns the LED on.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED2_Off() LEDpin5_SetVal()
/*
** ===================================================================
**     Method      :  LED2_Off (component LED)
**
**     Description :
**         This turns the LED off.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED2_Neg() LEDpin5_NegVal()
/*
** ===================================================================
**     Method      :  LED2_Neg (component LED)
**
**     Description :
**         This negates/toggles the LED
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED2_Get() (!(LEDpin5_GetVal()))
/*
** ===================================================================
**     Method      :  LED2_Get (component LED)
**
**     Description :
**         This returns logical 1 in case the LED is on, 0 otherwise.
**     Parameters  : None
**     Returns     :
**         ---             - Status of the LED (on or off)
** ===================================================================
*/

#define LED2_Init() LED2_Off()
/*
** ===================================================================
**     Method      :  LED2_Init (component LED)
**
**     Description :
**         Performs the LED driver initialization.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED2_Put(val)  ((val) ? LED2_On() : LED2_Off())
/*
** ===================================================================
**     Method      :  LED2_Put (component LED)
**
**     Description :
**         Turns the LED on or off.
**     Parameters  :
**         NAME            - DESCRIPTION
**         val             - value to define if the LED has to be on or
**                           off.
**     Returns     : Nothing
** ===================================================================
*/

void LED2_Deinit(void);
/*
** ===================================================================
**     Method      :  LED2_Deinit (component LED)
**
**     Description :
**         Deinitializes the driver
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END LED2. */

#endif
/* ifndef __LED2_H */
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
